singleton_class_annotation 0.1.0+1

  • Readme
  • Changelog
  • Example
  • Installing
  • 69

singleton_class #

Annotation package to create a singleton style class. This package is for @SingletonClass() annotaion which indicates that a class is a singleton.

Usage #

Install #

Add this lines in your pubspec.yaml and run flutter pub get.

dependencies:
  singleton_class:

dev_dependencies:
  build_runner:
  singleton_class_generator:

Example #

import 'package:singleton_class/singleton_class.dart';

part 'main.g.dart'; /// singleton_class_generator will automatically generate this.

/// All the class annotated as a `@SingletonClass()` will have
/// a singleton class which has a `Singleton`-prefixed name.
@SingletonClass()
class TestClass {
  printer() {
    print(this.hashCode);
  }
}

main() {
    /// `Singleton`-prefixed singleton style `TestClass`.
    /// All the other method or members inside `TestClass` works as expected.
    /// You can get a singleton instance using `getInstance()` method
    /// or default constructor.
    /// Current version supports non-args constructor only.
  var instance = SingletonTestClass.getInstance();
  var instance2 = SingletonTestClass();

  instance.printer();
  instance2.printer();
}

Run build_runner.

flutter pub run build_runner watch

[0.1.0+1]

  • typo

[0.1.0]

  • No argument single class supported.

example/lib/main.dart

import 'package:singleton_class_annotation/singleton_class_annotation.dart';

part 'main.g.dart';

@SingletonClass()
class TestClass {
  printer() {
    print(this.hashCode);
  }
}

main() {
  var instance = SingletonTestClass.getInstance();
  var instance2 = SingletonTestClass();

  instance.printer();
  instance2.printer();
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  singleton_class_annotation: ^0.1.0+1

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:singleton_class_annotation/singleton_class_annotation.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
39
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
69
Learn more about scoring.

We analyzed this package on Dec 13, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.0
  • pana: 0.13.1+4
  • Flutter: 1.12.13+hotfix.4

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11 1.14.12
meta 1.1.8
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test